### Method

# Pango Matrix get_font_scale_factors

#### Declaration [src]

    void
    pango_matrix_get_font_scale_factors (
      const PangoMatrix* matrix,
      double* xscale,
      double* yscale
    )

#### Description [src]

Calculates the scale factor of a matrix on the width and height of the font.

That is, `xscale` is the scale factor in the direction of the X coordinate, and `yscale` is the scale factor in the direction perpendicular to the vector that the X coordinate is mapped to.

Note that output numbers will always be non-negative.

Available since: | 1.38

#### Parameters

`xscale` | `double*`
| Output scale factor in the x direction.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
`yscale` | `double*`
| Output scale factor perpendicular to the x direction.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.